Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

REVCLOUD WITH LAYER

0 REPLIES 0
Reply
Message 1 of 1
DINGUBOY
264 Views, 0 Replies

REVCLOUD WITH LAYER

(DEFUN C:CMO()

(SETQ

LN(GETSTRING "\n ENTER LAYER NAME:")

AS(GETINT"\n ENTER CLOUD SIZE:")

)

(REPEAT 10

(SETQ

P1(GETPOINT "\n PICK FIRST CORNER :")

P2(GETCORNER P1 "\n PICK FIRST CORNER :")

)


(COMMAND "-LAYER" "N" LN "CO" "RED" LN "")


(COMMAND "-LAYER" "S" LN "")


(COMMAND "RECTANGLE" P1 P2 )(SETQ OBJ1(ENTLAST))


(COMMAND "REVCLOUD" "A" AS AS "O" OBJ1 "")


(SETQ

P3(GETPOINT "\n PICK FIRST POINT :")

P4(GETPOINT P3 "\n PICK SECOND POINT :")

P5(GETPOINT P4 "\n PICK THIRD POINT :")

)

(SETQ

JJ(getvar 'CLAYER)

)

(COMMAND "PLINE" P3 P4 P5 "")

(COMMAND "TEXT" P4 (/ AS 2) 0 JJ "")

)


)

 

 

Here i attached program file in revcloud with text in layer name

0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost